barbican (1:11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 07:26:47 +0000

barbican (1:11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Update to the correct version regex. 
  * New upstream release candidate for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 09:57:14 +0000

barbican (1:11.0.0~b2~git2020073012.36b2f658-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 12:21:55 +0000

barbican (1:11.0.0~b1~git2020062509.df194df8-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failures.patch: Dropped. No longer needed.
  * d/p/ldap3-to-ldap.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 25 Jun 2020 09:05:40 +0000


barbican (1:10.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: update to the correct version regex.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725353/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 08:13:29 +0000

barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu3) focal; urgency=medium

  * d/barbican-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/control: Ensure python3-castellan is >= 3.0.1 as 3.0.0 is broken.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:24:29 -0400

barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu2) focal; urgency=medium

  * d/barbican-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Mar 2020 14:53:42 -0400

barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 09:49:40 +0100

barbican (1:10.0.0~b1~git2019121610.d633693b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed
    upstream.
  * d/p/debian/patches/remove-rsvgconverter.patch: Patch-out
    rsvgconverter.
  * d/p/debian/patches/ldap3-to-ldap.patch: Refreshed.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:12:08 +0100

barbican (1:9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:39:50 +0100

barbican (1:9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/watch: Scope to 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:13:58 -0400

barbican (1:9.0.0~b1~git2019061315.3c2a9960-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 20 Jun 2019 05:22:23 +0100

barbican (1:8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:39:22 +0100

barbican (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:00 +0000

barbican (1:8.0.0~b1~git2019031459.4c0ddda9-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/barbican-common.postinst: Change /etc/barbican to 0750 root:barbican.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.
  * Drop patches related to Vault AppRole and Mountpoint configuration,
    included upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 07:44:35 +0000

barbican (1:8.0.0~b1~git2019013003.ebf1567e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/encode-b64payload.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:41:16 +0000

barbican (1:8.0.0~b1~git2018111615.503e9b90-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/watch: Scope to 8.x series.
  * d/control, d/rules, d/python(3)-barbican.*, d/tests/*: Drop Python 2
    support.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 15:09:40 -0500

barbican (1:7.0.0-0ubuntu4) disco; urgency=medium

  * d/tests/barbican-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:22:03 -0500

barbican (1:7.0.0-0ubuntu3) cosmic; urgency=medium

  * d/p/encode-b64payload.patch: Cherry-pick from upstream review
    (https://review.openstack.org/#/c/613324/) to ensure base64
    payloads are correctly encoded in Python 3 (LP: #1799746).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Oct 2018 09:48:28 -0400

barbican (1:7.0.0-0ubuntu2) cosmic; urgency=medium

  * d/p/0001-Enable-AppRole-authentication-support-for-Vault.patch:
    Add support for Vault AppRole authentication (LP: #1796851).
  * d/p/0002-Enable-KV-mountpoint-configuration-for-Vault.patch:
    Add support for configuration of the KV mountpoint to use in Vault
    (LP: #1797148).
  * d/control: Bump minimum python{3}-castellan version to 0.19.0-0ubuntu2~
    to pickup associated Vault fixes in lower layers.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Oct 2018 12:21:54 +0100

barbican (1:7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:47:12 -0400

barbican (1:7.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  * d/barbican-api.apache2, d/barbican-common.apache2: Move back to barbican-api
    package where apache2 dependencies are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 09:33:32 -0400

barbican (1:7.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/barbican-*: Move common files to barbican-common. Only have
      python(3)-barbican depend on barbican-common. Other packages that used to
      depend on barbican-common now depend on python-barbican | python3-barbican.
    - d/control: Drop python(3)-barbican conflicts on each other.
    - d/python(3)-barbican.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 11:38:24 -0400

barbican (1:7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/rules: Drop usr/etc from python{3}-barbican packages.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 17:49:29 +0100

barbican (1:7.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 10:32:22 -0400

barbican (1:7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-barbican package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-barbican Depends.
    - d/control: Make python(3)-barbican conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-barbican.install: Drop, not needed.
    - d/barbican-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-barbican.post*, d/python(3)-barbican.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for barbican daemons and add shebang tests.
    - d/tests/barbican-daemons: Use curl to test API.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 11:32:30 -0400

barbican (1:7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.
  * d/rules: Run tests with stestr.
  * d/control: Set min BD version for python-pykmip dep to 0.8.0
    (https://storyboard.openstack.org/#!/story/2002559).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 12:44:12 -0400

barbican (1:7.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.
  * d/rules: Exclude usr/etc on dh_install.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 May 2018 16:32:21 -0700

barbican (1:6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 12:55:17 -0500

barbican (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/barbican-common.install: Drop install of policy file.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 17:05:50 +0000

barbican (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New snapshot.
  * d/p/*: Rebase.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 08:10:20 -0500

barbican (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:19:49 +0000

barbican (1:6.0.0~b1-0ubuntu2) bionic; urgency=medium

  * d/rules: Don't run functional tests as they require barbican
    and keystone services to be running.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Nov 2017 15:18:08 -0500

barbican (1:6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 12:44:34 -0500

barbican (1:5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:03:51 -0400

barbican (1:5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 09:35:03 -0400

barbican (1:5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 15:13:48 -0400

barbican (1:5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/barbican-common.install: Install barbican-wsgi-api.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 10:04:49 -0400

barbican (1:5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Add (Build-)Depends on python-oslo.db.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:05:46 +0100

barbican (1:5.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:03:54 +0100

barbican (1:5.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/patches/ldap3-to-ldap.patch: Refreshed.
  * d/rules: Autogenerate the /etc/barbican/barbican.conf.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * d/rules: Write generated config file to etc/barbican/barbican.conf,
    and tidy on clean.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 11:22:30 +0100

barbican (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * debian/control: Cleanup dependencies.
  * debian/control, debian/tests: Add dep8 tests.
  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:13:30 -0500

barbican (1:4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 
  * debian/patches/ldap3-to-ldap.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 11:23:33 -0500

barbican (1:4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/p/ldap3-to-ldap.patch: Refreshed. 
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:58:09 -0500

barbican (1:4.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/p/ldap3-to-ldap.patch, d/control: Use python-ldap, instead of
    python-pyldap which is not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Jan 2017 10:28:38 -0500

barbican (1:4.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * Use python-pyldap instead of python-ldap:
     - debian/control
     - debian/patches/use-pyldap.patch

  [ Corey Bryant ]
  * d/p/use-pyldap.patch: Dropped. Dup of ldap3-to-ldap.patch.
  * d/p/ldap3-to-ldap.patch: Restored with pyldap update.
  * New upstream version.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Add python-pep8 to BDs.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:57:55 -0500

barbican (1:3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:01:18 -0400

barbican (1:3.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ Chuck Short]
  * d/control: Move pykmip to Suggests

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Oct 2016 13:43:38 -0400

barbican (1:3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 19 Sep 2016 15:38:42 +0100

barbican (1:3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/ldap3-to-ldap.patch: Rebased.

  [ James Page ]
  * d/control: Add pykmip to Recommends.
  * d/barbican-common.postinst: Tidy, use explicit 'set -e' to avoid lintian
    warning.
  * d/barbican-doc.doc-base: Add documentation registration for barbican
    docs.
  * d/control,rules: Use ostestr to execute unit tests.
  * d/p/add-RNG-seed.patch: Dropped, included upstream.
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 14:45:31 +0100

barbican (1:3.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/p/add-RNG-seed.patch: Cherry-picked from master to seed RNG for soft HSM.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 Aug 2016 14:43:40 -0400

barbican (1:3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * Update (Build-)Depends inline with upstream.

  [ Corey Bryant ]
  * d/p/ldap3-to-ldap.patch: Rebased.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:43:37 -0400

barbican (1:2.0.0-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * d/man/*, d/barbican-common.manpages: Add manpage stubs.
  * d/control: Remove dependency for python-pysqlite2, removed upstream.
  * d/control: Use python-ldap instead of python-ldap3 for better main support.
  * d/p/ldap3-to-ldap.patch: Patch out ldap3 in favor of ldap.

  [ Corey Bryant ]
  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:00:06 -0400

barbican (1:2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * d/control, d/rules, d/barbican-api.*: Run barbican-api under apache2 with
    mod_wsgi instead of uwsgi.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Mitaka.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 01 Apr 2016 15:05:40 +0100

barbican (1:2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/barbican-common.install: Install barbican-manage utility.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Mar 2016 14:06:53 -0500

barbican (1:2.0.0~b2-0ubuntu3) xenial; urgency=medium

  * d/barbican-common.install: Install inidividual /usr/bin/ files.
  * d/barbican-common.postinst: Add post install user/group/dir/perm config.
  * d/barbican-common.dirs: New file added to create required dirs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2016 09:25:24 -0500

barbican (1:2.0.0~b2-0ubuntu2) xenial; urgency=medium

  [ David Della Vecchia ]
  * d/*: Remove debconf and dbconfig support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Feb 2016 16:14:30 -0500

barbican (1:2.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 04 Feb 2016 08:03:10 -0500

barbican (1:2.0.0~b1-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/barbican-api.install: Install missing policy.json (LP: #1526655).
  * d/control: Add Recommends on python-pymysql (LP: #1526659).
  * d/control: Add missing runtime dependency on uwsgi-plugin-python
    (LP: #1526654).
  * d/barbican-api.upstart.in: Provide full upstart configuration as
    generation using openstack-pkg-tools is not supported for uwsgi
    applications (LP: #1526654).
  * d/barbican-{api,common}.install,control: Move configuration files to
    common package to support use across all barbican packages and with
    Apache WSGI.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 09:57:35 -0500

barbican (1:1.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:27:40 -0400

barbican (1:1.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:43:43 -0400

barbican (1:1.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 10:22:50 +0100

barbican (1:1.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:47:48 -0400

barbican (1:1.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/barbican-api.install: barbican-api.conf renamed to barbican.conf.
  * d/rules: No need to rename /usr/bin files since upstream now defines
    console_scripts in entry_points section of setup.cfg.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 21:47:33 -0400

barbican (1:1.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.
  * d/rules: Drop OSLO_PACKAGE_VERSION from rules file, not required as
    we always use upstream release tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 15:40:58 -0400

barbican (1:1.0.0~b1-0ubuntu2) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:23:29 +0100

barbican (1:1.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use tarballs.openstack.org for upstream releases.
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.

  [ James Page ]
  * Version BD on python-pykmip >= 0.3.3, resolving FTBFS with older
    versions.
  * d/barbican-api.install: Drop barbican-admin conf and ini files from
    install.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jul 2015 09:46:47 +0100

barbican (2015.1.0-5) unstable; urgency=medium

  * Ran debconf-updatepo (Closes: #788675).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 09:23:03 +0000

barbican (2015.1.0-4) unstable; urgency=medium

  * Fixes templates so that they don't reference Cinder (Closes: #787702).
  * Added pt.po debconf templates translations thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #788039).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:27:36 +0200

barbican (2015.1.0-3) unstable; urgency=medium

  * Added dbconfig-common as dependency of barbican-common (Closes: #787507).
  * Added debian/po/POTFILES.in and ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Jun 2015 15:58:30 +0200

barbican (2015.1.0-2) unstable; urgency=medium

  * Added uwsgi-core as Depends: for barbican-api.
  * Fixed barbican-api init scripts.
  * Added missing binaries from /usr/bin/*.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2015 09:10:01 +0000

barbican (2015.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #784055).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Mar 2015 17:46:24 +0100
